\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 3D Triangulations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
TriangulationCellBase_3 Concept Reference
Concepts

Inherited by CGAL::Triangulation_cell_base_with_circumcenter_3< DelaunayTriangulationTraits_3, TriangulationCellBase_3 >, and CGAL::Triangulation_cell_base_with_info_3< Info, TriangulationTraits_3, TriangulationCellBase_3 >.

## Definition

The cell base required by the basic triangulation does not need to store any geometric information, so only the requirements of the triangulation data structure apply.

However, for the Delaunay triangulation, the ability to store the circumcenter is provided (for optimization reasons), hence an additional requirement only in this case, and only when the dual functions are called.

Refines:
  `TriangulationDSCellBase_3`

Has Models:

  CGAL::Triangulation_cell_base_3

  CGAL::Triangulation_cell_base_with_info_3

  CGAL::Triangulation_cell_base_with_circumcenter_3

See Also
  `TriangulationVertexBase_3`

## Public Member Functions
const DelaunayTriangulationTraits_3::Point_3 & | circumcenter (const DelaunayTriangulationTraits_3 &gt=DelaunayTriangulationTraits_3()) const
| Returns the circumcenter.